# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl
AutoReqProv: no


%define name    virtualboxOSE
%define version 1.3.3
%define release 4.2007mcnl
%define trunk 	060129
%define summary virtualization server
%define section More Applications/Emulators

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://www.virtualbox.org/
License:        GPL
Group:          Emulators

Source0:        vbox_%{trunk}.tar.bz2
Source1:        vboxdrv.sh
Source2:	VBox.sh
Patch0:		vbox-qt3.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{trunk}-%{release}-buildroot 

Provides:	VBoxC.so VBoxDD2.so VBoxDD.so VBoxREMImp.so VBoxREM.so VBoxRT.so VBoxVMM.so VBoxXML.so VBoxXPCOMIPCC.so VBoxXPCOM.so

BuildRequires:  libqt3-devel libIDL2_0-devel libSDL1.2-devel bin86 libxslt-proc libxslt1-devel libxcursor1-devel iasl libxerces-c0 libxerces-c0-devel libxalan-c0 xalan-c-devel libext2fs2-devel

Requires: vboxdrv libpthread.so.0 libqt-mt.so.3 librt.so.1 libSDL-1.2.so.0 libstdc++.so.6
Requires: libutil.so.1 libuuid.so.1 libxalan-c.so.110 libXcursor.so.1 libxerces-c.so.27  
Requires: libXext.so.6   

%description
InnoTek VirtualBox is a family of powerful x86 virtualization
products for enterprise as well as home use. Not only is VirtualBox
an extremely feature rich, high performance product for enterprise
customers, it is also the only professional solution that is freely
available as Open Source Software under the terms of the
GNU Public License (GPL).


%package -n	virtualboxOSE-testcases
Summary:    	virtualboxOSE testcases
Group:      	Emulators
License:	GPL

%description -n virtualboxOSE-testcases
VirtualBoxOSE-testcases

%package -n	virtualboxOSE-devel
Summary:    	virtualboxOSE devel packages
Group:      	Emulators
License:	GPL

%description -n virtualboxOSE-devel
VirtualBoxOSE devel packages

%prep
rm -rf %{buildroot}
%setup -q -n vbox
%patch0 -p1

%build

./configure

source ./env.sh

./kBuild/bin/linux.x86/kmk all


%install
rm -rf %{buildroot}


mkdir -p %{buildroot}%{_libdir}
%__ln_s %{_datadir}/%{name}/VBoxC.so %{buildroot}%{_libdir}
%__ln_s %{_datadir}/%{name}/VBoxDD2.so %{buildroot}%{_libdir}
%__ln_s %{_datadir}/%{name}/VBoxDD.so %{buildroot}%{_libdir}
%__ln_s %{_datadir}/%{name}/VBoxREMImp.so %{buildroot}%{_libdir}
%__ln_s %{_datadir}/%{name}/VBoxREM.so %{buildroot}%{_libdir}
%__ln_s %{_datadir}/%{name}/VBoxRT.so %{buildroot}%{_libdir}
%__ln_s %{_datadir}/%{name}/VBoxVMM.so %{buildroot}%{_libdir}
%__ln_s %{_datadir}/%{name}/VBoxXML.so %{buildroot}%{_libdir}
%__ln_s %{_datadir}/%{name}/VBoxXPCOMIPCC.so %{buildroot}%{_libdir}
%__ln_s %{_datadir}/%{name}/VBoxXPCOM.so %{buildroot}%{_libdir}

# install init script
mkdir -p %{buildroot}/etc/rc.d/init.d/
%__install -m755 %{SOURCE1} %{buildroot}/etc/rc.d/init.d/vboxdrv
mkdir -p %{buildroot}/etc/rc.d/rc3.d
%__ln_s /etc/rc.d/init.d/vboxdrv %{buildroot}/etc/rc.d/rc3.d/S30vboxdrv
mkdir -p %{buildroot}/etc/rc.d/rc5.d
%__ln_s /etc/rc.d/init.d/vboxdrv %{buildroot}/etc/rc.d/rc5.d/S30vboxdrv

# install start script
mkdir -p %{buildroot}%{_datadir}/%{name}
%__install -m755 %{SOURCE2} %{buildroot}%{_datadir}/%{name}/VBox.sh


mkdir -p %{buildroot}%{_bindir}
%__ln_s %{_datadir}/%{name}/VBox.sh %{buildroot}%{_bindir}/VirtualBox
%__ln_s %{_datadir}/%{name}/VBoxSVC %{buildroot}%{_bindir}
%__ln_s %{_datadir}/%{name}/VBox.sh %{buildroot}%{_bindir}/VBoxSDL
%__ln_s %{_datadir}/%{name}/VBox.sh %{buildroot}%{_bindir}/VBoxManage


mv out/linux.x86/release/bin/* %{buildroot}%{_datadir}/%{name}

mv src/VBox/Additions/linux/installer/*.pl %{buildroot}%{_datadir}/%{name}/additions
mv src/VBox/Additions/linux/installer/*.sh %{buildroot}%{_datadir}/%{name}/additions

mkisofs -J -o %{buildroot}%{_datadir}/%{name}/additions/VBoxGuestAdditions.iso %{buildroot}%{_datadir}/%{name}/additions

rm -rf %{buildroot}%{_datadir}/%{name}/src


rm -rf %{buildroot}%{_datadir}/%{name}/additions/vbox*
rm -rf %{buildroot}%{_datadir}/%{name}/additions/src
rm -rf %{buildroot}%{_datadir}/%{name}/additions/x11config.pl
rm -rf %{buildroot}%{_datadir}/%{name}/vboxdrv.ko

#src/VBox/Frontends/VirtualBox/images/about_600px.png


#icons
%define  nameicon src/VBox/Frontends/VirtualBox/images/ico64x01.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/VirtualBox" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="Virtualbox OSE" \
longtitle="%summary"
EOF

# Menu 2007
mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF1
[Desktop Entry]
Encoding=UTF-8
Name=Virtualbox OSE
Comment=%{summary}
Exec=%{_bindir}/VirtualBox
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Qt;X-MandrivaLinux-MoreApplications-Emulators
EOF1

# vbox.cfg
mkdir -p %buildroot/etc/vbox/
cat > %buildroot/etc/vbox/vbox.cfg << EOF2
INSTALL_DIR="/usr/share/%{name}"
EOF2

%post
/sbin/ldconfig
groupadd vboxusers
/etc/init.d/vboxdrv start


%postun
/sbin/ldconfig
groupdel vboxusers

%clean 
rm -rf $RPM_BUILD_ROOT 

%files  -n	virtualboxOSE-testcases
%{_datadir}/%{name}/tst*
%{_datadir}/%{name}/testcase

%files  -n	virtualboxOSE-devel
%{_datadir}/%{name}/sdk

%files 
%defattr(-,root,root,0755) 
%doc COPYING
%{_menudir}/%{name}

%{_datadir}/applications/%{name}.desktop

%{_iconsdir}/%{name}.png
%{_iconsdir}/large/%{name}.png
%{_iconsdir}/mini/%{name}.png

%attr(755,root,root) %{_bindir}/VBoxManage
%attr(755,root,root) %{_bindir}/VBoxSDL
%attr(755,root,root) %{_bindir}/VBoxSVC
%attr(755,root,root) %{_bindir}/VirtualBox

%{_libdir}/VBoxC.so
%{_libdir}/VBoxDD.so
%{_libdir}/VBoxDD2.so
%{_libdir}/VBoxREM.so
%{_libdir}/VBoxREMImp.so
%{_libdir}/VBoxRT.so
%{_libdir}/VBoxVMM.so
%{_libdir}/VBoxXML.so
%{_libdir}/VBoxXPCOM.so
%{_libdir}/VBoxXPCOMIPCC.so

%{_datadir}/%{name}/*.so
%{_datadir}/%{name}/*.xpt

%{_datadir}/%{name}/SUPInstall
%{_datadir}/%{name}/SUPUninstall
%{_datadir}/%{name}/VBox.sh
%{_datadir}/%{name}/VBoxBFE
%{_datadir}/%{name}/VBoxDD2GC.gc
%{_datadir}/%{name}/VBoxDD2R0.r0
%{_datadir}/%{name}/VBoxDDGC.gc
%{_datadir}/%{name}/VBoxDDR0.r0
%{_datadir}/%{name}/VBoxManage
%{_datadir}/%{name}/VBoxSDL
%{_datadir}/%{name}/VBoxSVC
%{_datadir}/%{name}/VBoxXPCOMIPCD
%{_datadir}/%{name}/VMMGC.gc
%{_datadir}/%{name}/VMMR0.r0
%{_datadir}/%{name}/VirtualBox
%{_datadir}/%{name}/additions
%{_datadir}/%{name}/components
%{_datadir}/%{name}/vditool
%{_datadir}/%{name}/xpidl


/etc/rc.d/init.d/vboxdrv
/etc/rc.d/rc3.d/S30vboxdrv
/etc/rc.d/rc5.d/S30vboxdrv
/etc/vbox/vbox.cfg

%changelog 
*Mon Jan 29 2007 Marco Meijer <marco@mandrivaclub.nl> 1.3.3-4.2007mcnl
new version 060129

*Thu Jan 25 2007 Marco Meijer <marco@mandrivaclub.nl> 1.3.3-3.2007mcnl
new version 060125

*Tue Jan 23 2007 Marco Meijer <marco@mandrivaclub.nl> 1.3.3-2.2007mcnl
spit rpm in packages

*Sat Jan 20 2007 Marco Meijer <marco@mandrivaclub.nl> 1.3.3-1.2007mcnl
first build for mandrivaclub.nl


